@font-face {
	font-family: 'Montserrat';
	src: url("https://static.cpupv.es/fonts/Montserrat-VF.woff2") format(woff2);
}

:root {
	--background-color: #ffe4d2;
	--accent: #ff924a;
}

/*
:root {
    --bg-color: #1e1e2e;
    --caret-color: #fae3b0;
    --main-color: #abe9b3;
    --sub-color: #575268;s
    --sub-alt-color: #292739;
    --text-color: #d9e0ee;
    --error-color: #f28fad;
    --error-extra-color: #e8a2af;
    --colorful-error-color: #f28fad;
    --colorful-error-extra-color: #e8a2af
}
*/

* {
	padding: 0;
	margin: 0;
	border: 0;
	box-sizing: border-box;
}

body {
	font-family: 'Montserrat';
	display: block;
	background-color: var(--background-color);
}

header {
	background-color: var(--background-color);
	min-height: 4em;
	padding: 2em;
	display: flex;
	align-items: center;
}

#logo {
	height: 4em;
}

#socials {
	display: flex;
	gap: 0.5em;
	flex-direction: row;
}

#socials > a > img {
	width: 2em;
	height: 2em;
}

#wrapper {
	padding: 0 2em;
	/* margin: auto;
	max-width: 1920px; */
}

.content {
	width: 100%;
	position: relative;
	border-radius: 2em;
	box-shadow: 0 0 16px 4px rgba(0, 0, 0, 0.05);
	padding: 2em;
	margin-bottom: 2em;
	background-color: white;
	display: flex;
	gap: 1em;
	flex-direction: column;
	/* align-items: center; */
	min-height: 4em;
}

.text-gradient {
	color: transparent;
	background-clip: text;
	white-space: nowrap;
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

#cpupv {
	background-image: linear-gradient(145deg, #FFC248, #FF684A);
}

.section-name {
	font-size: 1.75em;
	font-weight: 600;
	text-align: center;
	padding-top: 1em;
	padding-bottom: 1em;
	position: relative;
	display: block;
}

h1 {
	font-weight: 700;
}

h2 {
	/* margin-left: 1em; */
	display: flex;
	flex-direction: row;
	align-items: center;
	gap: 8px;
}

h2 > span {
	font-size: 12pt;
}

.blink {
	animation-name: blink;
	animation-duration: 0.5s;
	animation-iteration-count: infinite;
	animation-direction: alternate;
}

.horizontal-separator {
	height: 0;
	width: 100%;
	margin: 1em 0;
	border-top: 1px solid rgba(0, 0, 0, 0.25);
}

#description {
	display: flex;
	flex-direction: column;
	gap: 0.5em;
}

#description > ul {
	list-style: '-  ';
	padding-left: 2em;
}

.time {
	font-weight: 500;
}

.link, .link:visited {
	font-weight: 500;
	color: var(--accent);
}

footer {
	background-color: var(--background-color);
	min-height: 4em;
	padding: 2em;
	display: flex;
	align-items: center;
	justify-content: end;
}

footer > img {
	height: 2em;
	padding: 0 0.5em;
}

.sponsors {
	width: 100%;
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 1em;
}

#sponsor-list {
	width: 100%;
	display: flex;
	flex-direction: row;
	flex-wrap: wrap;
	justify-content: center;
	row-gap: 2em;
	column-gap: 2em;
}

.sponsor {
	display: flex;
	flex-direction: column;
	align-items: center;
	gap: 0.5em;
	width: 200px;
}

.sponsor > span {
	letter-spacing: 2px;
	text-transform: uppercase;
	font-weight: 700;
}

.sponsor > img {
	height: 64px;
	width: 200px;
	max-width: 100%;
}

.bronze-gradient {
	text-shadow: 0 0 4px #97461955;
	background-image: linear-gradient(145deg, #ce8c69, #974619);
}

.silver-gradient {
	text-shadow: 0 0 4px #BBBBBB55;
	background-image: linear-gradient(145deg, #DDDDDD, #BBBBBB);
}

.gold-gradient {
	text-shadow: 0 0 4px #AA771C55;
	background-image: linear-gradient(145deg, #fff699, #AA771C);
}
  
@keyframes blink {
	0% {opacity: 0.5;}
	/* 50% {opacity: 0.5;} */
	100% {opacity: 1;}
}
